## sphinx 1.8.5

=== Makefile ===
PYTHON ?= python3

.PHONY: all
all: clean-pyc clean-backupfiles style-check type-check test

.PHONY: clean
clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-generated clean-testfiles clean-buildfiles clean-mypyfiles

.PHONY: clean-pyc
clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

.PHONY: clean-pycache
clean-pycache:
	find . -name __pycache__ -exec rm -rf {} +

.PHONY: clean-patchfiles
clean-patchfiles:
	find . -name '*.orig' -exec rm -f {} +
	find . -name '*.rej' -exec rm -f {} +

.PHONY: clean-backupfiles
clean-backupfiles:
	find . -name '*~' -exec rm -f {} +
	find . -name '*.bak' -exec rm -f {} +
	find . -name '*.swp' -exec rm -f {} +
	find . -name '*.swo' -exec rm -f {} +

.PHONY: clean-generated
clean-generated:
	find . -name '.DS_Store' -exec rm -f {} +
	rm -rf Sphinx.egg-info/
	rm -rf doc/_build/
	rm -f sphinx/pycode/*.pickle
	rm -f utils/*3.py*
	rm -f utils/regression_test.js

.PHONY: clean-testfiles
clean-testfiles:
	rm -rf tests/.coverage
	rm -rf tests/build
	rm -rf .tox/
	rm -rf .cache/

.PHONY: clean-buildfiles
clean-buildfiles:
	rm -rf build

.PHONY: clean-mypyfiles
clean-mypyfiles:
	rm -rf .mypy_cache/

.PHONY: style-check
style-check:
	@flake8

.PHONY: type-check
type-check:
	mypy sphinx/

.PHONY: pylint
pylint:
	@pylint --rcfile utils/pylintrc sphinx

.PHONY: test
test:
	@$(PYTHON) -m pytest -v $(TEST)

.PHONY: covertest
covertest:
	@$(PYTHON) -m pytest -v --cov=sphinx --junitxml=.junit.xml $(TEST)

.PHONY: build
build:
	@$(PYTHON) setup.py build

.PHONY: docs
docs:
ifndef target
	$(info You need to give a provide a target variable, e.g. `make docs target=html`.)
endif
	$(MAKE) -C doc $(target)

=== debian/changelog ===
sphinx (1.8.5-7ubuntu3) focal; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Apr 2020 19:59:36 -0700

sphinx (1.8.5-7ubuntu2) focal; urgency=medium

  * Make Sphinx' documentation use HTML 5 instead of XHTML, to fix WebKitGTK
    parsing errors with shared-mime-info ≥ 0.11 (LP: #1871610).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 08 Apr 2020 20:02:54 +0300

sphinx (1.8.5-7ubuntu1) focal; urgency=medium

  * Restore changes to workaround webkitgtk/js being buggy on ppc/s390x
    see https://bugs.webkit.org/show_bug.cgi?id=209337 for details about
    the current issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 Mar 2020 16:01:31 +0100

sphinx (1.8.5-7) unstable; urgency=medium

  * Make the autopkgtest depend on python3-all, and use py3versions -s
    instead of -i.
  * Update to debhelper compat level 12.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Mar 2020 14:33:53 +0300

sphinx (1.8.5-6) unstable; urgency=medium

  * Update dh_sphinxdoc for the new searchindex.js loading scheme
    (closes: #953567).
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 Mar 2020 12:11:42 +0300

sphinx (1.8.5-5) unstable; urgency=medium

  * Make sphinx-common provide dh-sequence-sphinxdoc (closes: #946899).
  * Drop python-sphinxcontrib.websupport from autopkgtest dependencies,
    to allow for its removal.
  * Backport upstream patch to fix crashes with docutils 0.16.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Jan 2020 17:01:00 +0300

sphinx (1.8.5-4) unstable; urgency=medium

  * Remove extra underscore character from debian/sphinx-doc.doc-base.
  * Run sphinx-doc autopkgtest on all architectures again (bug #931807 has
    been fixed).
  * Stop installing static files for websupport. These files are already
    shipped by python[3]-sphinxcontrib.websupport, and there is no need to
    have them in all -doc packages that do not use websupport.
  * Backport upstream patch to fix spaces being added to hyphenated words
    with text writer (closes: #944331).
  * Add some generated files to debian/clean.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Dec 2019 14:18:02 +0300

sphinx (1.8.5-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Dmitry Shachnev ]
  * Suggest texlive-plain-generic instead of texlive-generic-extra.
    The latter package is no longer built, and iftex.sty is now shipped by
    the former package.
  * Backport upstream patch to fix test failure with docutils 0.15.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Aug 2019 22:08:42 +0300

sphinx (1.8.5-2) unstable; urgency=medium

  * Update debian/.gitlab-ci.yml to use salsa-pipeline.
  * Add a patch to make generated download links reproducible.
  * Skip sphinx-doc autopkgtest on ppc64el and s390x (because of #931807).
    Based on a change applied by Dimitri John Ledkov in Ubuntu.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jul 2019 17:40:25 +0300

sphinx (1.8.5-1) experimental; urgency=medium

  * New upstream release.
  * Drop reproducible_graphviz.diff, a better fix was applied upstream.
  * Refresh skip_tests_network.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2019 18:40:56 +0300

=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>
Homepage: http://sphinx-doc.org/
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: dh-python (>= 3.20180313~),
                     dpkg-dev (>= 1.17.14),
                     dvipng,
                     graphviz,
                     imagemagick-6.q16,
                     libjs-jquery (>= 1.4),
                     libjs-underscore,
                     librsvg2-bin,
                     perl,
                     python3-alabaster (>= 0.7),
                     python3-all (>= 3.3.3-1~),
                     python3-babel (>= 1.3),
                     python3-docutils (>= 0.11),
                     python3-html5lib,
                     python3-imagesize,
                     python3-jinja2 (>= 2.3),
                     python3-lib2to3,
                     python3-mock,
                     python3-packaging,
                     python3-pygments (>= 2.1.1),
                     python3-pytest,
                     python3-requests (>= 2.4.0),
                     python3-setuptools,
                     python3-six (>= 1.5),
                     python3-sphinxcontrib.websupport <!nodoc>,
                     python3-stemmer,
                     texinfo,
                     texlive-fonts-recommended,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     texlive-luatex,
                     texlive-xetex
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx

Package: python3-sphinx
Architecture: all
Depends: python3-distutils,
         python3-lib2to3,
         sphinx-common (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: make, python3-pil
Suggests: dvipng,
          imagemagick-6.q16,
          latexmk,
          libjs-mathjax,
          python3-sphinx-rtd-theme,
          python3-stemmer,
          sphinx-doc,
          texlive-fonts-recommended,
          texlive-latex-extra,
          texlive-latex-recommended,
          texlive-plain-generic
Breaks: python3-sphinxcontrib.websupport (<< 1.1.2)
Description: documentation generator for Python projects (implemented in Python 3)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 3 modules.

Package: sphinx-common
Architecture: all
Depends: libjs-sphinxdoc (= ${source:Version}), ${misc:Depends}
Recommends: python3-sphinx
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Provides: dh-sequence-sphinxdoc
Description: documentation generator for Python projects - common data
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes manual pages, templates, translations and other data
 files.

Package: sphinx-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Depends: docutils-doc, ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation generator for Python projects - documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes documentation of Sphinx itself.

Package: libjs-sphinxdoc
Section: javascript
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1), ${misc:Depends}
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export NO_PKG_MANGLE=1
export LC_ALL=C.UTF-8
export PYTHONWARNINGS=d

export PYBUILD_TEST_ARGS=--verbose --ignore tests/test_websupport.py --ignore tests/test_api_translator.py
export PYBUILD_INSTALL_ARGS_python3=--install-scripts usr/share/sphinx/scripts/python3

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))

debroot = debian/tmp/
py3_libdir = /usr/lib/python3/dist-packages
py3_builddir = $(shell pybuild --print build_dir --interpreter python3)
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	ln -sf /usr/share/javascript/jquery/jquery.js sphinx/themes/basic/static/jquery.js
	ln -sf /usr/share/javascript/underscore/underscore.js sphinx/themes/basic/static/underscore.js
	dh_auto_build
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T doc build/html/
	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
	PYTHONPATH=$(py3_builddir) python3 ./sphinx/cmd/build.py -T -b man doc build/man
endif
	PYTHONPATH=$(py3_builddir) python3 setup.py compile_catalog

override_dh_auto_install:
	pybuild --install -p 3
	# move static files outside dist-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(py3_libdir)/sphinx/__init__.py
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(py3_libdir)/sphinx/templates \
		.$(py3_libdir)/sphinx/texinputs \
		.$(py3_libdir)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(py3_libdir)/sphinx/ext/autosummary/templates
	mkdir -p $(debroot)/usr/share/sphinx/search/
	cd $(debroot) && mv -t usr/share/sphinx/search/ \
		.$(py3_libdir)/sphinx/search/non-minified-js
	cd $(debroot)$(py3_libdir)/sphinx/ && \
		rm -rf templates/ texinputs/ themes/ ext/autosummary/templates/ \
			search/non-minified-js/
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D .$(py3_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D .$(py3_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(py3_libdir)/sphinx/locale && rm -rf sphinx.pot */
	# Move JavaScript code to libjs-sphinxdoc:
	PYTHONPATH=$(py3_builddir) debian/dh-sphinxdoc/install-js debian/libjs-sphinxdoc$(javascript_path)
	rm -f $(debroot)/usr/share/sphinx/themes/bizstyle/static/css3-mediaqueries_src.js
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js' -a '!' -name 'websupport.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_installdocs:
	dh_installdocs
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
endif

override_dh_installman:
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
	dh_installman
endif

override_dh_compress:
	dh_compress -X.py -X.rst -X.json -X.txt

=== debian/tests/control ===
Tests: python-sphinx
Depends: dvipng,
         graphviz,
         imagemagick-6.q16,
         librsvg2-bin,
         python-enum34,
         python-html5lib,
         python-mock,
         python-pytest,
         python-sphinx,
         python-stemmer,
         texinfo,
         texlive-fonts-recommended,
         texlive-latex-extra,
         texlive-luatex,
         texlive-xetex

Tests: python3-sphinx
Depends: dvipng,
         graphviz,
         imagemagick-6.q16,
         librsvg2-bin,
         python3-all,
         python3-html5lib,
         python3-mock,
         python3-pytest,
         python3-sphinx,
         python3-sphinxcontrib.websupport,
         python3-sqlalchemy (>= 0.9),
         python3-stemmer,
         python3-whoosh,
         python3-xapian,
         texinfo,
         texlive-fonts-recommended,
         texlive-latex-extra,
         texlive-luatex,
         texlive-xetex

Tests: sphinx-doc
Depends: gir1.2-webkit2-4.0 (>= 2.10), python3-gi, sphinx-doc, xauth, xvfb
Restrictions: allow-stderr, skippable

## sphinx 1.8.5-7ubuntu3%2B9.0trisquel1

=== debian/changelog ===
sphinx (1.8.5-7ubuntu3+9.0trisquel1) etiona; urgency=medium

  * Backported from Focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 17 Oct 2020 16:56:19 +0000

## sphinx 2.4.3

=== Makefile ===
--- 
+++ 
@@ -57,7 +57,11 @@
 
 .PHONY: type-check
 type-check:
-	mypy sphinx/
+	mypy sphinx
+
+.PHONY: doclinter
+doclinter:
+	python utils/doclinter.py CHANGES *.rst doc/
 
 .PHONY: pylint
 pylint:

=== debian/changelog ===
sphinx (2.4.3-2) unstable; urgency=medium

  * Simplify debian/patches/html5_docs.diff for the new release.
  * Break python3-breathe < 4.13 (closes: #955569).
  * Backport two upstream patches to fix performance issues because of
    debug calls.
  * Clean up debian/clean, remove files no longer present upstream.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Apr 2020 16:07:18 +0300

sphinx (2.4.3-1) experimental; urgency=medium

  * New upstream release.
  * Update to debhelper compat level 12.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Feb 2020 12:03:03 +0300

sphinx (2.4.1-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Refresh patches for the new release.
  * Depend on python3-typed-ast to make the tests pass with Python 3.7.
  * dh_sphinxdoc: Add support for script tags without type="text/javascript".
  * dh_sphinxdoc: Do not warn about sidebar.js file.
  * Update numbers in debian/jstest/run-tests for the new release.

  [ Michael R. Crusoe ]
  * Mark the -doc and -common binary packages as Multi-Arch: foreign.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Feb 2020 11:59:57 +0300

sphinx (2.3.1-1) experimental; urgency=medium

  [ Christoph Berg ]
  * New upstream version 2.2.0.
  * Remove obsolete patches: no_require_websupport.diff,
    python2_test_get_module_source.diff, reproducible_download.diff,
    docutils_0.15.diff, remove_websupport_assets.diff.

  [ Dmitry Shachnev ]
  * New upstream version 2.3.1 (closes: #944913).
  * Drop no_spaces_in_hyphenated_words.diff, applied in the new release.
  * Drop debian/patches/python2_tests_import_hack.diff, this version of
    Sphinx no longer supports Python 2.
  * Refresh other patches.
  * Drop Python 2 support from packaging.
  * Update dependencies according to upstream setup.py:
    - Bump required docutils version to 0.12.
    - Bump required requests version to 2.5.0.
    - Remove six from dependencies.
    - Remove mock from tests dependencies.
  * Patch out references to sphinxcontrib modules.
  * Skip tests that require sphinxcontrib.jsmath module.
  * Update dh_sphinxdoc for the new searchindex.js loading scheme.
  * Use packaged MathJax for sphinx-doc.
  * Build-Depend on and suggest fonts-freefont. The LaTeX writer now uses
    this font for xelatex and lualatex.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Skip tests that require sphinxcontrib.serializinghtml module (they were
    run only during autopkgtest).
  * Move sphinxcontrib modules to extras_require.
  * Move python3-lib2to3 from Depends to Suggests.
  * Update the Homepage field to use https.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Feb 2020 14:15:40 +0300

sphinx (1.8.5-9) unstable; urgency=medium

  * Drop two python2 patches, no longer needed.
  * jstest: Enable writing console messages to stdout.
  * Make Sphinx' documentation use HTML 5 instead of XHTML, to fix WebKitGTK
    parsing errors with shared-mime-info ≥ 0.11 (LP: #1871610).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 09 Apr 2020 15:36:45 +0300

sphinx (1.8.5-8) unstable; urgency=medium

  * Drop Python 2 support; Closes: #938528

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 12:40:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
-Homepage: http://sphinx-doc.org/
+Homepage: https://www.sphinx-doc.org/
 Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: dh-python (>= 3.20180313~),
                      dpkg-dev (>= 1.17.14),
                      dvipng,
+                     fonts-freefont-otf,
                      graphviz,
                      imagemagick-6.q16,
                      libjs-jquery (>= 1.4),
@@ -18,20 +18,19 @@
                      python3-alabaster (>= 0.7),
                      python3-all (>= 3.3.3-1~),
                      python3-babel (>= 1.3),
-                     python3-docutils (>= 0.11),
+                     python3-docutils (>= 0.12),
                      python3-html5lib,
                      python3-imagesize,
                      python3-jinja2 (>= 2.3),
                      python3-lib2to3,
-                     python3-mock,
                      python3-packaging,
                      python3-pygments (>= 2.1.1),
                      python3-pytest,
-                     python3-requests (>= 2.4.0),
+                     python3-requests (>= 2.5.0),
                      python3-setuptools,
-                     python3-six (>= 1.5),
                      python3-sphinxcontrib.websupport <!nodoc>,
                      python3-stemmer,
+                     python3-typed-ast,
                      texinfo,
                      texlive-fonts-recommended,
                      texlive-latex-extra,
@@ -45,15 +44,16 @@
 Package: python3-sphinx
 Architecture: all
 Depends: python3-distutils,
-         python3-lib2to3,
          sphinx-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: make, python3-pil
 Suggests: dvipng,
+          fonts-freefont-otf,
           imagemagick-6.q16,
           latexmk,
           libjs-mathjax,
+          python3-lib2to3,
           python3-sphinx-rtd-theme,
           python3-stemmer,
           sphinx-doc,
@@ -61,7 +61,7 @@
           texlive-latex-extra,
           texlive-latex-recommended,
           texlive-plain-generic
-Breaks: python3-sphinxcontrib.websupport (<< 1.1.2)
+Breaks: python3-breathe (<< 4.13), python3-sphinxcontrib.websupport (<< 1.1.2)
 Description: documentation generator for Python projects (implemented in Python 3)
  Sphinx is a tool for producing documentation for Python projects, using
  reStructuredText as markup language.
@@ -79,6 +79,7 @@
 
 Package: sphinx-common
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-sphinxdoc (= ${source:Version}), ${misc:Depends}
 Recommends: python3-sphinx
 Conflicts: python-sphinx (<< 1.1)
@@ -95,9 +96,10 @@
 Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Conflicts: python-sphinx (<< 1.1)
 Replaces: python-sphinx (<< 1.1)
-Depends: docutils-doc, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: docutils-doc, libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation generator for Python projects - documentation
  Sphinx is a tool for producing documentation for Python projects, using
  reStructuredText as markup language.

=== debian/rules ===
--- 
+++ 
@@ -45,9 +45,6 @@
 	mkdir -p $(debroot)/usr/share/sphinx/search/
 	cd $(debroot) && mv -t usr/share/sphinx/search/ \
 		.$(py3_libdir)/sphinx/search/non-minified-js
-	cd $(debroot)$(py3_libdir)/sphinx/ && \
-		rm -rf templates/ texinputs/ themes/ ext/autosummary/templates/ \
-			search/non-minified-js/
 	set -e -x; \
 	cd $(debroot) && \
 		for lang in $(locales); \

=== debian/tests/control ===
Tests: python3-sphinx
Depends: dvipng,
         fonts-freefont-otf,
         graphviz,
         imagemagick-6.q16,
         librsvg2-bin,
         python3-all,
         python3-html5lib,
         python3-pytest,
         python3-sphinx,
         python3-sphinxcontrib.websupport,
         python3-sqlalchemy (>= 0.9),
         python3-stemmer,
         python3-typed-ast,
         python3-whoosh,
         python3-xapian,
         texinfo,
         texlive-fonts-recommended,
         texlive-latex-extra,
         texlive-luatex,
         texlive-xetex

Tests: sphinx-doc
Depends: gir1.2-webkit2-4.0 (>= 2.10), python3-gi, sphinx-doc, xauth, xvfb
Restrictions: allow-stderr

## sphinx 3.2.1

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 clean-generated:
 	find . -name '.DS_Store' -exec rm -f {} +
 	rm -rf Sphinx.egg-info/
+	rm -rf dist/
 	rm -rf doc/_build/
 	rm -f sphinx/pycode/*.pickle
 	rm -f utils/*3.py*
@@ -49,7 +50,7 @@
 
 .PHONY: clean-mypyfiles
 clean-mypyfiles:
-	rm -rf .mypy_cache/
+	find . -name '.mypy_cache' -exec rm -rf {} +
 
 .PHONY: style-check
 style-check:
@@ -82,6 +83,6 @@
 .PHONY: docs
 docs:
 ifndef target
-	$(info You need to give a provide a target variable, e.g. `make docs target=html`.)
+	$(info You need to provide a target variable, e.g. `make docs target=html`.)
 endif
 	$(MAKE) -C doc $(target)

=== debian/changelog ===
sphinx (3.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes crashes when documenting extension modules (closes: #966983).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 14 Aug 2020 14:06:07 +0300

sphinx (3.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Fix day-of-week for changelog entry 0.6.1-1.

  [ Dmitry Shachnev ]
  * Merge 2.4.3-5 upload from unstable.
  * Make dh_sphinxdoc generate stricter dependencies on libjs-sphinxdoc.
  * New upstream release.
  * Refresh patches for the new release.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Remove python3-typed-ast from Build-Depends and tests dependencies,
    now that we no longer need to test with Python 3.7.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Aug 2020 14:41:55 +0300

sphinx (3.1.2-1) experimental; urgency=medium

  * Bump python3-breathe Breaks to 4.15 (closes: #963653).
  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jul 2020 21:57:28 +0300

sphinx (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Jun 2020 14:26:39 +0300

sphinx (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Specify Rules-Requires-Root: no.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Jun 2020 20:27:18 +0300

sphinx (3.0.4-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - html5_docs.diff
    - no_evaluate_debug.diff
    - no_debug.diff
    - autodoc_skip_mocked.diff
  * Refresh and rebase other patches.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Update the package description.
    - Recommend build-depending on the new sphinx virtual package.
  * Add a patch to use packaged intersphinx inventory for Python API.
    - Also make sphinx-doc depend on python3-doc.
  * Update to debhelper compat level 13.
  * Stop excluding test_websupport.py which no longer exists.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Jun 2020 13:08:36 +0300

sphinx (2.4.3-5) unstable; urgency=medium

  * dh_sphinxdoc improvements:
    - Make defer attribute of searchindex.js optional (closes: #966979).
    - Allow for trailing whitespace in script src attribute, it is allowed
      by the HTML specification.
    - Add support for symlinking language_data.js for English (see #964013).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 04 Aug 2020 21:52:28 +0300

sphinx (2.4.3-4) unstable; urgency=medium

  * Update autodoc_skip_mocked.diff to use safe_getattr instead of plain
    getattr (based on upstream PR #7520). See #959558.
  * Update the package description.
    - Recommend build-depending on the new sphinx virtual package.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Jun 2020 11:32:20 +0300

sphinx (2.4.3-3) unstable; urgency=medium

  * Break python3-sphinx-celery < 2.0.0 (closes: #958985).
  * Export http_proxy=http://127.0.0.1:9/ when running the autopkgtest.
  * Make autodoc skip mocked objects (closes: #959558).
  * Stop using alternatives, ship /usr/bin/sphinx-* symlinks directly.
  * Make python3-sphinx provide sphinx virtual package (see #961206).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 May 2020 11:51:15 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: https://www.sphinx-doc.org/
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dh-python (>= 3.20180313~),
                      dpkg-dev (>= 1.17.14),
                      dvipng,
@@ -18,6 +18,7 @@
                      python3-alabaster (>= 0.7),
                      python3-all (>= 3.3.3-1~),
                      python3-babel (>= 1.3),
+                     python3-doc <!nodoc>,
                      python3-docutils (>= 0.12),
                      python3-html5lib,
                      python3-imagesize,
@@ -30,13 +31,13 @@
                      python3-setuptools,
                      python3-sphinxcontrib.websupport <!nodoc>,
                      python3-stemmer,
-                     python3-typed-ast,
                      texinfo,
                      texlive-fonts-recommended,
                      texlive-latex-extra,
                      texlive-latex-recommended,
                      texlive-luatex,
                      texlive-xetex
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx
@@ -61,8 +62,12 @@
           texlive-latex-extra,
           texlive-latex-recommended,
           texlive-plain-generic
-Breaks: python3-breathe (<< 4.13), python3-sphinxcontrib.websupport (<< 1.1.2)
-Description: documentation generator for Python projects (implemented in Python 3)
+Provides: sphinx (= ${binary:Version})
+Breaks: python3-breathe (<< 4.15),
+        python3-sphinx-celery (<< 2.0.0),
+        python3-sphinxcontrib.websupport (<< 1.1.2)
+Conflicts: python-sphinx
+Description: documentation generator for Python projects
  Sphinx is a tool for producing documentation for Python projects, using
  reStructuredText as markup language.
  .
@@ -75,7 +80,9 @@
     - automatic testing of code snippets,
     - including docstrings from Python modules.
  .
- This package includes Python 3 modules.
+ Build-depend on sphinx if your package uses /usr/bin/sphinx-*
+ executables. Build-depend on python3-sphinx if your package uses
+ the Python API (for instance by calling python3 -m sphinx).
 
 Package: sphinx-common
 Architecture: all
@@ -99,7 +106,11 @@
 Multi-Arch: foreign
 Conflicts: python-sphinx (<< 1.1)
 Replaces: python-sphinx (<< 1.1)
-Depends: docutils-doc, libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: docutils-doc,
+         libjs-mathjax,
+         python3-doc,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: documentation generator for Python projects - documentation
  Sphinx is a tool for producing documentation for Python projects, using
  reStructuredText as markup language.

=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
          python3-sphinxcontrib.websupport,
          python3-sqlalchemy (>= 0.9),
          python3-stemmer,
-         python3-typed-ast,
          python3-whoosh,
          python3-xapian,
          texinfo,

## sphinx 3.3.1

=== Makefile ===
--- 
+++ 
@@ -64,10 +64,6 @@
 doclinter:
 	python utils/doclinter.py CHANGES *.rst doc/
 
-.PHONY: pylint
-pylint:
-	@pylint --rcfile utils/pylintrc sphinx
-
 .PHONY: test
 test:
 	@$(PYTHON) -m pytest -v $(TEST)

=== debian/changelog ===
sphinx (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop pygments_2.7.diff, included in the new release.
  * Refresh other patches.
  * Remove python3-sphinx.lintian-overrides, not needed with Lintian 2.92.
  * Add test_raises_for_invalid_status to skip_tests_network.diff.
  * Replace no_require_setuptools.diff with a debian/py3dist-overrides file.
    That is a more compact way to specify that we do not need setuptools.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Nov 2020 20:05:30 +0300

sphinx (3.2.1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop no_snowballstemmer.diff and use python3-snowballstemmer as
    upstream does, now that it is properly packaged.
  * Backport upstream commit to make the tests pass with Pygments 2.7.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Oct 2020 20:13:16 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: https://www.sphinx-doc.org/
 Build-Depends: debhelper-compat (= 13)
@@ -29,8 +29,8 @@
                      python3-pytest,
                      python3-requests (>= 2.5.0),
                      python3-setuptools,
+                     python3-snowballstemmer (>= 1.1),
                      python3-sphinxcontrib.websupport <!nodoc>,
-                     python3-stemmer,
                      texinfo,
                      texlive-fonts-recommended,
                      texlive-latex-extra,
@@ -39,8 +39,8 @@
                      texlive-xetex
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/sphinx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/sphinx
+Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx
 
 Package: python3-sphinx
 Architecture: all
@@ -56,7 +56,6 @@
           libjs-mathjax,
           python3-lib2to3,
           python3-sphinx-rtd-theme,
-          python3-stemmer,
           sphinx-doc,
           texlive-fonts-recommended,
           texlive-latex-extra,

## sphinx 3.4.1

=== Makefile ===
--- 
+++ 
@@ -66,11 +66,11 @@
 
 .PHONY: test
 test:
-	@$(PYTHON) -m pytest -v $(TEST)
+	@$(PYTHON) -X dev -m pytest -v $(TEST)
 
 .PHONY: covertest
 covertest:
-	@$(PYTHON) -m pytest -v --cov=sphinx --junitxml=.junit.xml $(TEST)
+	@$(PYTHON) -X dev -m pytest -v --cov=sphinx --junitxml=.junit.xml $(TEST)
 
 .PHONY: build
 build:

=== debian/changelog ===
sphinx (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Dec 2020 11:47:43 +0300

sphinx (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches for the new release.
  * Use packaged inventory from python-requests-doc.
  * Stop exporting http_proxy for the python3-sphinx autopkgtest.
    It breaks linkcheck tests which start a local HTTP server thread.
    - Do not skip test_raises_for_invalid_status anymore.
    - Skip test_build_sphinx_return_nonzero_status. It fails if trying to
      access localhost.unexistentdomain results in 503 Server Error from
      the proxy server.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Dec 2020 15:16:26 +0300

## sphinx 3.4.2

=== debian/changelog ===
sphinx (3.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump upstream copyright years in debian/copyright.
  * Update debian/watch to version 4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 Jan 2021 20:17:45 +0300

## sphinx 3.4.3

=== debian/changelog ===
sphinx (3.4.3-2) unstable; urgency=medium

  * dh_sphinxdoc: Fix the script tag regex used in singlehtml detection
    (closes: #983858).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 08 Mar 2021 21:40:25 +0300

sphinx (3.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Jan 2021 20:11:19 +0300

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                      libjs-underscore,
                      librsvg2-bin,
                      perl,
+                     python-requests-doc <!nodoc>,
                      python3-alabaster (>= 0.7),
                      python3-all (>= 3.3.3-1~),
                      python3-babel (>= 1.3),
@@ -38,7 +39,7 @@
                      texlive-luatex,
                      texlive-xetex
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx
 
@@ -107,6 +108,7 @@
 Replaces: python-sphinx (<< 1.1)
 Depends: docutils-doc,
          libjs-mathjax,
+         python-requests-doc,
          python3-doc,
          ${misc:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export LC_ALL=C.UTF-8
 export PYTHONWARNINGS=d
 
-export PYBUILD_TEST_ARGS=--verbose --ignore tests/test_websupport.py --ignore tests/test_api_translator.py
+export PYBUILD_TEST_ARGS=--verbose --ignore tests/test_api_translator.py
 export PYBUILD_INSTALL_ARGS_python3=--install-scripts usr/share/sphinx/scripts/python3
 
 locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))

## sphinx 3.5.4

=== debian/changelog ===
sphinx (3.5.4-2) unstable; urgency=medium

  * dh_sphinxdoc: Use the last definition of DOCUMENTATION_OPTIONS, if
    there are several of them.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Aug 2021 22:05:35 +0300

sphinx (3.5.4-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Apr 2021 15:16:49 +0300

sphinx (3.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Merge 3.4.3-2 upload from unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Mar 2021 21:17:18 +0300

sphinx (3.5.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Mar 2021 20:10:53 +0300

sphinx (3.5.1-2) experimental; urgency=medium

  * Move the minified stemmer JS files to the correct location.
  * Document the license of stemmer JS files in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Feb 2021 20:08:47 +0300

sphinx (3.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Override Lintian source-is-missing warnings about stemmer JS files.
  * Add debian/upstream/metadata file.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Feb 2021 20:11:51 +0300

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/Sphinx/Sphinx-([\d.]+)\.tar\.gz

## sphinx 4.2.0

=== debian/changelog ===
sphinx (4.2.0-5) unstable; urgency=medium

  * Remove Built-Using field from sphinx-doc. We do not incorporate any parts
    of other source packages during sphinx-doc build.
  * Run wrap-and-sort.
  * Add a patch to make util.typing.restify sanitize unreproducible output
    (closes: #996948). Thanks Chris Lamb!
  * Update debian/source/lintian-overrides for Lintian 2.109.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Oct 2021 14:21:42 +0300

sphinx (4.2.0-4) unstable; urgency=medium

  * Team upload.
  * Add new breaks on sphinx-tabs << 3.2.0

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 10 Oct 2021 13:20:27 +0200

sphinx (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Add new breaks on nbsphinx << 0.8.7
  * d/control: make use of ${perl:Depends} in sphinx-common and
    ${sphinxdoc:Built-Using} in sphinx-doc
  * Add salsa-ci file (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 09 Oct 2021 09:21:02 +0200

sphinx (4.2.0-2) unstable; urgency=medium

  * Upload to unstable (closes: #994114).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Sep 2021 21:33:30 +0300

sphinx (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/patches/remove_contrib_references.diff.
  * Update numbers in debian/jstest/run-tests for the new release.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Sep 2021 15:43:21 +0300

sphinx (4.1.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/patches/skip_tests_network.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 27 Jul 2021 20:24:27 +0300

sphinx (4.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * debian/jstest/run-tests: Update number of highlights for “examples”.
  * Break python3-sphinxcontrib.serializinghtml < 1.1.5.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Jul 2021 13:59:17 +0300

sphinx (4.0.3-1) experimental; urgency=medium

  * New upstream release.
  * dh_sphinxdoc: Use the last definition of DOCUMENTATION_OPTIONS, if
    there are several of them.
  * Refresh move_sphinxcontrib_to_extras_require.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jul 2021 13:35:22 +0300

sphinx (4.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh move_sphinxcontrib_to_extras_require.diff.
  * Revert the old build path in debian/sphinx-common.manpages.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 21 May 2021 20:15:43 +0300

sphinx (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump required python3-docutils version to 0.14.
  * Add tex-gyre to Build-Depends, Suggests and autopkgtest dependencies.
  * Update debian/sphinx-common.manpages for the new build path.
  * Update numbers in debian/jstest/run-tests for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 May 2021 21:35:39 +0300

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                      python3-all (>= 3.3.3-1~),
                      python3-babel (>= 1.3),
                      python3-doc <!nodoc>,
-                     python3-docutils (>= 0.12),
+                     python3-docutils (>= 0.14),
                      python3-html5lib,
                      python3-imagesize,
                      python3-jinja2 (>= 2.3),
@@ -32,6 +32,7 @@
                      python3-setuptools,
                      python3-snowballstemmer (>= 1.1),
                      python3-sphinxcontrib.websupport <!nodoc>,
+                     tex-gyre,
                      texinfo,
                      texlive-fonts-recommended,
                      texlive-latex-extra,
@@ -39,7 +40,7 @@
                      texlive-luatex,
                      texlive-xetex
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx
 
@@ -58,13 +59,17 @@
           python3-lib2to3,
           python3-sphinx-rtd-theme,
           sphinx-doc,
+          tex-gyre,
           texlive-fonts-recommended,
           texlive-latex-extra,
           texlive-latex-recommended,
           texlive-plain-generic
 Provides: sphinx (= ${binary:Version})
 Breaks: python3-breathe (<< 4.15),
+        python3-nbsphinx (<< 0.8.7),
         python3-sphinx-celery (<< 2.0.0),
+        python3-sphinx-tabs (<< 3.2.0),
+        python3-sphinxcontrib.serializinghtml (<< 1.1.5),
         python3-sphinxcontrib.websupport (<< 1.1.2)
 Conflicts: python-sphinx
 Description: documentation generator for Python projects
@@ -87,7 +92,9 @@
 Package: sphinx-common
 Architecture: all
 Multi-Arch: foreign
-Depends: libjs-sphinxdoc (= ${source:Version}), ${misc:Depends}
+Depends: libjs-sphinxdoc (= ${source:Version}),
+         ${misc:Depends},
+         ${perl:Depends}
 Recommends: python3-sphinx
 Conflicts: python-sphinx (<< 1.1)
 Replaces: python-sphinx (<< 1.1)

## sphinx 4.3.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
PYTHON ?= python3

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = $(PYTHON) ../sphinx/cmd/build.py
SOURCEDIR    = .
BUILDDIR     = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sphinx (4.3.1-2) unstable; urgency=medium

  * dh_sphinxdoc:
    - Stop taking Python 2 version of alabaster into account.
    - Generate dependency on libjs-sphinxdoc ≥ 4.3 for searchtools.js.
    - Loosen regex to detect searchindex.js loading (closes: #1001521).
  * Add a patch to make searchtools.js support pre-4.3 search indexes
    (closes: #1001509).
  * Add Sphinx.egg-info/requires.txt and .mo files to debian/clean.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 12 Dec 2021 21:44:32 +0300

sphinx (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop reproducible_restify.diff, applied in the new release.
  * Refresh debian/patches/skip_tests_jsmath.diff.
  * Update numbers in debian/jstest/run-tests.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Nov 2021 19:22:23 +0300

## sphinx 4.3.2

=== debian/changelog ===
sphinx (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 19 Dec 2021 15:55:13 +0300

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 		.$(py3_libdir)/sphinx/ext/autosummary/templates
 	mkdir -p $(debroot)/usr/share/sphinx/search/
 	cd $(debroot) && mv -t usr/share/sphinx/search/ \
+		.$(py3_libdir)/sphinx/search/minified-js \
 		.$(py3_libdir)/sphinx/search/non-minified-js
 	set -e -x; \
 	cd $(debroot) && \

=== debian/tests/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
          python3-sphinx,
          python3-sphinxcontrib.websupport,
          python3-sqlalchemy (>= 0.9),
-         python3-stemmer,
          python3-whoosh,
          python3-xapian,
+         tex-gyre,
          texinfo,
          texlive-fonts-recommended,
          texlive-latex-extra,

## sphinx 4.5.0

=== debian/changelog ===
sphinx (4.5.0-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to stop using @definfoenclose texinfo command
    (closes: #996151).
  * Update jstest to use WebKit2 4.1.

  [ Simon Chopin ]
  * Use full JSON unescaping in file names

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 16 Jun 2022 19:37:25 +0300

sphinx (4.5.0-3) unstable; urgency=medium

  * Hotfix: move python3-importlib-metadata from Suggests to Depends.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Apr 2022 19:31:16 +0300

sphinx (4.5.0-2) unstable; urgency=medium

  * Depend on python3-importlib-metadata, needed because we still support
    Python 3.9 (closes: #1009382, #1009434, #1009445).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Apr 2022 14:21:33 +0300

sphinx (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * dh_sphinxdoc: Unescape unicode in file names (closes: #1008504).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 02 Apr 2022 16:32:51 +0300

sphinx (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove debian/py3dist-overrides. Sphinx no longer uses pkg_resources.
  * Amend intersphinx_local.diff to remove cross-references to ReadTheDocs.
  * Refresh other patches.
  * Update numbers in debian/jstest/run-tests.
  * Add python3-setuptools to tests dependencies.
  * Bump upstream copyright years in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Jan 2022 14:17:46 +0300

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                      imagemagick-6.q16,
                      libjs-jquery (>= 1.4),
                      libjs-underscore,
+                     libjson-perl <!nodoc>,
                      librsvg2-bin,
                      perl,
                      python-requests-doc <!nodoc>,
@@ -47,6 +48,7 @@
 Package: python3-sphinx
 Architecture: all
 Depends: python3-distutils,
+         python3-importlib-metadata (>= 4.4),
          sphinx-common (= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}
@@ -93,6 +95,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: libjs-sphinxdoc (= ${source:Version}),
+         libjson-perl,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: python3-sphinx

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          python3-all,
          python3-html5lib,
          python3-pytest,
+         python3-setuptools,
          python3-sphinx,
          python3-sphinxcontrib.websupport,
          python3-sqlalchemy (>= 0.9),
@@ -20,5 +21,5 @@
          texlive-xetex
 
 Tests: sphinx-doc
-Depends: gir1.2-webkit2-4.0 (>= 2.10), python3-gi, sphinx-doc, xauth, xvfb
+Depends: gir1.2-webkit2-4.1, python3-gi, sphinx-doc, xauth, xvfb
 Restrictions: allow-stderr
